Package org.jfree.layouting.layouter.context

## Interface LayoutContext

- All Superinterfaces:
    `LayoutStyle`
  All Known Implementing Classes:
    `DefaultLayoutContext`

      public interface LayoutContext
      extends LayoutStyle

  This is where the computed style goes into. // todo: Produce the computed counterset!
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LayoutContext` | `derive​()` |
    `LayoutContext` | `detach​(java.util.Map counters, java.util.Map strings)` |
    `void` | `dispose​()` |
    `AttributeMap` | `getAttributes​()` | May never be null.
    `BackgroundSpecification` | `getBackgroundSpecification​()` |
    `ContentSpecification` | `getContentSpecification​()` |
    `ContextId` | `getContextId​()` |
    `java.util.Map` | `getCounters​()` |
    `FontSpecification` | `getFontSpecification​()` |
    `java.util.Locale` | `getLanguage​()` | Returns the language definition of this layout context.
    `ListSpecification` | `getListSpecification​()` |
    `java.lang.String` | `getNamespace​()` | May be null.
    `java.lang.String` | `getPseudoElement​()` | An element can be exactly one pseudo-element type.
    `java.util.Map` | `getStrings​()` |
    `java.lang.String` | `getTagName​()` | May be null.
    `boolean` | `isPseudoElement​()` |

    - ### Methods inherited from interface org.jfree.layouting.layouter.context.LayoutStyle

      `copyFrom, getValue, setValue`

- - ### Method Detail

    - #### getContextId

          ContextId getContextId​()

    - #### getBackgroundSpecification

          BackgroundSpecification getBackgroundSpecification​()

    - #### getFontSpecification

          FontSpecification getFontSpecification​()

    - #### getContentSpecification

          ContentSpecification getContentSpecification​()

    - #### getListSpecification

          ListSpecification getListSpecification​()

    - #### getCounters

          java.util.Map getCounters​()

    - #### getStrings

          java.util.Map getStrings​()

    - #### getPseudoElement

          java.lang.String getPseudoElement​()

      An element can be exactly one pseudo-element type. It is not possible for an element to fullfill two roles, an element is either a 'before' or a 'marker', but can as well be a 'before' of an 'marker' (where the marker element would be the parent).
      Returns:

    - #### getNamespace

          java.lang.String getNamespace​()

      May be null.
      Returns:

    - #### getTagName

          java.lang.String getTagName​()

      May be null.
      Returns:

    - #### getAttributes

          AttributeMap getAttributes​()

      May never be null.
      Returns:

    - #### getLanguage

          java.util.Locale getLanguage​()

      Returns the language definition of this layout context. If not set, it defaults to the parent's language. If the root's language is also not defined, then use the system default.
      Returns:
        the defined language, never null.

    - #### isPseudoElement

          boolean isPseudoElement​()

    - #### derive

          LayoutContext derive​()

    - #### detach

          LayoutContext detach​(java.util.Map counters,
                               java.util.Map strings)

    - #### dispose

          void dispose​()